import 'package:zhiying_comm/pages/login_page/model/login_model.dart';
import '../login_util.dart';

class LoginRepository {
  /// 获取页面数据
  Future<LoginModel> fetchNetPageData() async {
    // var result = await NetUtil.post('/api/v1/sign/in', method: NetMethod.GET, cache: true);
    // if (NetUtil.isSuccess(result) && !EmptyUtil.isEmpty(result[GlobalConfig.HTTP_RESPONSE_KEY_DATA])) {
    //   LoginModel model = LoginModel.fromJson(result[GlobalConfig.HTTP_RESPONSE_KEY_DATA]);
    //   return model;
    // }
    // return null;
    return await LoginUtil.fetchNetPageData();
  }

  /// 获取缓存的页面数据
  Future<LoginModel> fetchCachePageData() async {
    // var result = await NetUtil.getRequestCachedData('/api/v1/sign/in');
    // if (!EmptyUtil.isEmpty(result)) {
    //   LoginModel model = LoginModel.fromJson(result);
    //   return model;
    // }
    // return null;
    return await LoginUtil.fetchCachePageData();
  }
}
